FORMAX DEVELOPER API
  1. Outlet API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
      POST
    • Biller List
      POST
    • Bill Fetch
      POST
    • Bill Payment
      POST
    • Transaction Status
      POST
  • Bill Payment V4 API
    • Get All Billers
      GET
    • Get by Category
      GET
    • Get by Biller ID
      GET
    • Bill Fetch
      POST
    • Bill Validation
      POST
    • Bill Payment
      POST
    • Bill Payment Callback
    • Complaint Registration
      POST
    • Complaint Status
      POST
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • BC Money Transfer
    • Bank List
    • Search Remitter
    • Remitter Registration
    • Remitter Registration Verify
    • Remitter E-KYC
    • Transaction Send OTP
    • Transaction
    • Transaction Status
    • Transaction Refund OTP
    • Transaction Refund
  • UPI Cash Point
    • Generate QR
    • QR Status
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
    • Bank Account Verification
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  • AEPS
    • Bank List
    • Agent Registration
    • Agent E-KYC Status
    • Agent E-KYC
    • Two Factor Auth Status
    • Two Factor Auth
  1. Outlet API

Fetch by Outlet ID

POST
https://api.formaxpay.com/api/outlet/fetch
This API is used to fetch details of an already onboarded outlet/agent using the outlet_id.
It helps partners verify outlet information before enabling or performing services.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.formaxpay.com/api/outlet/fetch' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw==' \
--header 'Content-Type: application/json' \
--data '{
    "outlet_id": "FORMAX01"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "Outlet Exits",
    "data": {
        "outlet_id": "FORMAX01",
        "name": "EZAZUL HAQUE",
        "shop_name": "EZAZUL STORE",
        "mobile": "9836993732",
        "email": "ezazul.haque@formaxit.com",
        "aadhaar": "XXXX-XXXX-0609",
        "pan": "AQNPH8107J",
        "pincode": "700126",
        "state": "West Bengal",
        "city": "Kolkata",
        "district": "North 24 Parganas",
        "address": "Mochpole, Nabapally, Barasat, Kolkata - 700126",
        "shop_pincode": "700126",
        "shop_state": "West Bengal",
        "shop_city": "West Bengal",
        "shop_district": "North 24 Parganas",
        "shop_address": "Mochpole, Nabapally, Barasat, Kolkata - 700126",
        "shop_latitude": "22.88124",
        "shop_longitude": "22.88124",
        "status": "Active",
        "created_on": "2022-09-14 0:28:42"
    }
}
Modified at 2025-12-24 12:43:55
Previous
Onboard
Next
Recharge API
Built with